package gov.va.claims.attachments.model;

import gov.va.claims.attachments.database.AttachmentsSQLServerConnection;

import java.sql.Blob;
import java.sql.Date;
import java.sql.PreparedStatement;
import java.util.Collection;

import javax.sql.RowSet;

public interface ClaimsAttachmentDAO {
	
	public int insertClaimsAttachment(AttachmentsSQLServerConnection con, ClaimsAttachment claimsAttachment);
	public boolean deleteClaimsAttachment();
	public ClaimsAttachment findClaimsAttachment();
	public boolean updateClaimsAttachment();
	
	public PreparedStatement prepareStatement(String arg);
	
	// mocked for now......
	public Collection selectClaimsAttacmentTO();

}
