package gov.va.claims.attachments;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Enumeration;
import java.util.Properties;

public class Externals {

	private Properties properties = new Properties();
	
	public Externals() {} 

	public Properties getConfigProps() {
		return properties;
	}

    public void setProperties() throws IOException {
 
    // ant not packaging the resources dir properly,...........
     	// InputStream inputStream = getClass().getResourceAsStream("/resources/config.properties");
        
    	// file removed from resources dir to classpath for running in jar file
        InputStream inputStream = getClass().getClassLoader().getResourceAsStream("config.properties");
        
         
    	
        if (inputStream == null) {
            throw new FileNotFoundException("Externals - cannot find config.properties property file in the classpath");
        }
          
        properties.load(inputStream);
        
       
    }	// end setPropValues()
    
    
}	// end class

